BEGIN d_gBFgh //ghosts dialogue


IF ~Global("gBFq1","GLOBAL",1)~ THEN BEGIN 0
	SAY ~Coins... must have coins.~
	++ ~You want gold? I have some here.~ GOTO 1
	++ ~What would it take for you to leave?~ GOTO 2
	+~PartyHasItem("gBFcc")~+ ~I have your coin collection here.~ GOTO 3
	+~!PartyHasItem("gBFcc")~+ ~I will find your coin collection.~ GOTO 2
END

IF ~~ THEN BEGIN 1
	SAY ~Coins... not my coins... Must have coins...~ IF ~~ THEN EXIT
END	

IF ~~ THEN BEGIN 2
	SAY ~Coins... my coins...~ IF ~~ THEN EXIT
END	

IF ~~ THEN BEGIN 3
	SAY ~Coins... my coins! Thank you...~ IF ~~ THEN EXIT
IF ~~ THEN DO ~
SetGlobal("gBFq1","GLOBAL",2) TakePartyItem("gBFcc") DestroySelf()~ EXIT
END	
